interface ResponseTrack {
    title: string;
    artist: string;
    link: string;
}
interface SpotifyClientOptions {
    clientId: string;
    clientSecret: string;
    refreshToken: string;
}
interface CurrentlyPlayingOptions {
    fallbackToLastPlayed?: boolean;
}
interface TopItemsOptions {
    limit?: number;
    timeRange?: 'long' | 'medium' | 'short';
}
interface CurrentlyPlayingResponse extends ResponseTrack {
    isPlaying: boolean;
}

declare class SpotifyClient {
    private readonly clientId;
    private readonly clientSecret;
    private readonly refreshToken;
    private accessToken;
    constructor({ clientId, clientSecret, refreshToken }: SpotifyClientOptions);
    private _genAccesToken;
    getCurrentTrack: ({ fallbackToLastPlayed }?: CurrentlyPlayingOptions) => Promise<CurrentlyPlayingResponse | null>;
    getRecentTracks: (limit?: number) => Promise<ResponseTrack[]>;
    getTopTracks: ({ limit, timeRange }?: TopItemsOptions) => Promise<ResponseTrack[]>;
}

export { SpotifyClient };
